#alias ls='exa --icons'
alias l='exa -l --icons'
alias la='exa -a --icons'
alias lla='exa -la --icons'
alias lt='exa --tree --icons'

alias ls='n -de'

alias gdemacs="sudo rm -r /home/zpb/.config/emacs/eln-cache && emacs"
alias gdemacsclient="sudo rm -r /home/zpb/.config/emacs/eln-cache && emacsclient --alternate-editor="" --create-frame"
alias emcli="emacsclient --alternate-editor="" --create-frame"
alias fixemacs="sudo rm -r /home/zpb/.config/emacs/eln-cache"

alias pbcopy='xclip -selection clipboard'
alias pbpaste='xclip -selection clipboard -o'

alias stspull='cp -r ~/syncthing/misc/StS-Saves/synced/{preferences,runs,saves} ~/.local/share/Steam/steamapps/common/SlayTheSpire/'
alias stspush='cp -r ~/.local/share/Steam/steamapps/common/SlayTheSpire/{preferences,runs,saves} ~/syncthing/misc/StS-Saves/synced/'

set --export NNN_FCOLORS 96d1b49600b06c00b0d3d3
#red d3
#orange d1
#yellow b4
#green 96
#aqua 6c
#blue 6d
#purple b0

# NNN cd on quit
function n --wraps nnn --description 'support nnn quit and change directory'
    # Block nesting of nnn in subshells
    if test -n "$NNNLVL" -a "$NNNLVL" -ge 1
        echo "nnn is already running"
        return
    end

    # The behaviour is set to cd on quit (nnn checks if NNN_TMPFILE is set)
    # If NNN_TMPFILE is set to a custom path, it must be exported for nnn to
    # see. To cd on quit only on ^G, remove the "-x" from both lines below,
    # without changing the paths.
    if test -n "$XDG_CONFIG_HOME"
        set -x NNN_TMPFILE "$XDG_CONFIG_HOME/nnn/.lastd"
    else
        set -x NNN_TMPFILE "$HOME/.config/nnn/.lastd"
    end

    # Unmask ^Q (, ^V etc.) (if required, see `stty -a`) to Quit nnn
    # stty start undef
    # stty stop undef
    # stty lwrap undef
    # stty lnext undef

    # The command function allows one to alias this function to `nnn` without
    # making an infinitely recursive alias
    command nnn $argv

    if test -e $NNN_TMPFILE
        source $NNN_TMPFILE
        rm $NNN_TMPFILE
    end
end

zoxide init fish | source
